public class ContoBancario {
    private double saldo;
    private String password;
    private int id;
    
    public ContoBancario(int saldoIniziale, String password, int id) {
        saldo = saldoIniziale>0 ? saldoIniziale : 0;
        if(password!=null)
            this.password = password;
        else
            this.password = "";
        this.id = id;
    }
    
    public double getSaldo(String password) {
        if(password.equals(this.password))
            return saldo;
        else
            return -1;
    }
    
    public int getID() {
        return id;
    }
    
    public void prelievo(double quantita, String password) {
        if(password.equals(this.password) && saldo>=quantita)
            saldo -= quantita;
    }
    
    public void deposito(double quantita) {
        saldo += quantita;
    }
    
    public void trasferisci(double quantita, String password, ContoBancario destinatario) {
        if(password.equals(this.password) && saldo>=quantita) {
            saldo -= quantita;
            destinatario.deposito(quantita);
        }
    }
    
    public void impostaPassword(String vecchiaPassword, String nuovaPassword) {
        if(vecchiaPassword.equals(password))
            password = nuovaPassword;
    }
        
}